[Buildroot] [PATCH 1/3] glibc: ensure BR2_MAKE is also used for subdirs

Baruch Siach baruch at tkos.co.il
Mon Nov 19 14:09:59 UTC 2018


Hi Peter,

On Mon, Nov 19, 2018 at 03:02:26PM +0100, Peter Korsgaard wrote:
> The configure script contains logic to figure out what make program to
> invoke for subdirectories (trying gnumake, gmake, make).  Explicitly force
> it to use our BR2_MAKE to ensure the right make version is used.
> 
> Signed-off-by: Peter Korsgaard <peter at korsgaard.com>
> ---
>  package/glibc/glibc.mk | 1 +
>  1 file changed, 1 insertion(+)
> 
> diff --git a/package/glibc/glibc.mk b/package/glibc/glibc.mk
> index 708c22f723..c15f32aa3e 100644
> --- a/package/glibc/glibc.mk
> +++ b/package/glibc/glibc.mk
> @@ -34,6 +34,7 @@ GLIBC_DEPENDENCIES = host-gcc-initial linux-headers host-bison host-gawk \
>  # glibc requires make >= 4.0 since 2.28 release.
>  # https://www.sourceware.org/ml/libc-alpha/2018-08/msg00003.html
>  GLIBC_MAKE = $(BR2_MAKE)
> +GLIBC_CONV_ENV += ac_cv_prog_MAKE="$(BR2_MAKE)"

GLIBC_CONF_ENV maybe?

baruch

>  GLIBC_SUBDIR = build

-- 
     http://baruch.siach.name/blog/                  ~. .~   Tk Open Systems
=}------------------------------------------------ooO--U--Ooo------------{=
   - baruch at tkos.co.il - tel: +972.2.679.5364, http://www.tkos.co.il -



More information about the buildroot mailing list